<?php

namespace FM\Controller;

use Zeedhi\Framework\DTO\Request;
use FM\Service\Fm00040000AuditoriaService;
use FM\Traits\TResponse;

class Fm00040000AuditoriaController
{
    use TResponse;

    protected $AuditoriaService;

    public function __construct($AuditoriaService)
    {
        $this->AuditoriaService = $AuditoriaService;
    }

    public function getAuditorias(Request $request)
    {
        try {
            $data = $this->AuditoriaService->getAuditorias($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getCategoriasAuditoria(Request $request)
    {
        try {
            $data = $this->AuditoriaService->getCategoriasAuditoria($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getTopicosAuditoria(Request $request)
    {
        try {
            $data = $this->AuditoriaService->getTopicosAuditoria($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getCriteriosAuditoria(Request $request)
    {
        try {
            $data = $this->AuditoriaService->getCriteriosAuditoria($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function inicarOuFinalizarAuditoria(Request $request)
    {
        try {
            $data = $this->AuditoriaService->inicarOuFinalizarAuditoria($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function alterarStatusCriterio(Request $request)
    {
        try {
            $data = $this->AuditoriaService->alterarStatusCriterio($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
    
    public function anexarImagemAuditoria(Request $request)
    {
        try {
            $data = $this->AuditoriaService->anexarImagemAuditoria($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getImagensAuditoria(Request $request)
    {
        try {
            $data = $this->AuditoriaService->getImagensAuditoria($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function excluirImagemAuditoria(Request $request)
    {
        try {
            $data = $this->AuditoriaService->excluirImagemAuditoria($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}
