<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class FotoTarefaGerChkFactory
{
    protected $connection;

    public function __construct(EntityManager $entityManager)
    {
        $this->connection = $entityManager->getConnection();
    }

    public function salvarImagem($param)
    {
        $sql = "INSERT INTO FCM_FOTOTAREFAGERCHK(NRFOTOTAREFAGERCHK, NRTAREFAGERCHK, DSFOTOTAREFAGERCHK, IDATIVO, NRORG, DTINCLUSAO,
                    CDOPERINCLUSAO, NRORGINCLUSAO, DTULTATU, CDOPERULTATU, NRORGULTATU, DSTYPE, NRSIZE)
                VALUES(:NRFOTOTAREFAGERCHK, (SELECT MIN(NRTAREFAGERCHK) AS NRTAREFAGERCHK FROM FCM_TAREFAGERCHK WHERE NRGERENCIAMENTOCHK = :NRTAREFAGERCHK), :DSFOTOTAREFAGERCHK, 'S', :NRORG, SYSDATE,
                    :CDOPERINCLUSAO, :NRORGINCLUSAO, SYSDATE, :CDOPERULTATU, :NRORGULTATU, :DSTYPE,
                    :NRSIZE)";

        $this->connection->executeStatement($sql, $param);
    }

    public function getFoto($param)
    {

        $sql = "SELECT NRFOTOTAREFAGERCHK, DSFOTOTAREFAGERCHK
                  FROM FCM_FOTOTAREFAGERCHK
                 WHERE NRTAREFAGERCHK = (SELECT MIN(NRTAREFAGERCHK) AS NRTAREFAGERCHK FROM FCM_TAREFAGERCHK WHERE NRGERENCIAMENTOCHK = :NRTAREFAGERCHK)";

        return $this->connection->executeQuery($sql, $param)->fetchAllAssociative();
    }

    public function deleteFoto($param)
    {

        $sql = "DELETE FROM FCM_FOTOTAREFAGERCHK
                 WHERE NRFOTOTAREFAGERCHK = :NRFOTOTAREFAGERCHK
                   AND NRTAREFAGERCHK = (SELECT MIN(NRTAREFAGERCHK) AS NRTAREFAGERCHK FROM FCM_TAREFAGERCHK WHERE NRGERENCIAMENTOCHK = :NRTAREFAGERCHK)";

        $this->connection->executeStatement($sql, $param);
    }

    public function getFotoTaskVistoria($param)
    {
        $sql = "SELECT NRFOTOTAREFAAGEND, DSFOTOTAREFAAGEND FROM FCM_FOTOTAREFAAGEND
                  JOIN FCM_TAREFAAGEND
                    ON FCM_FOTOTAREFAAGEND.NRTAREFAAGEND = FCM_TAREFAAGEND.NRTAREFAAGEND
                  JOIN FCM_CHECKLISTAGEND
                    ON FCM_TAREFAAGEND.NRCHECKLISTAGEND = FCM_CHECKLISTAGEND.NRCHECKLISTAGEND
                 WHERE FCM_CHECKLISTAGEND.NRCHECKLISTAGEND = (SELECT NRCHECKLISTAGEND FROM FCM_GERENCIAMENTOCHK WHERE NRGERENCIAMENTOCHK = :NRGERENCIAMENTOCHK)";

        return $this->connection->executeQuery($sql, $param)->fetchAllAssociative();
    }
}
