CREATE TABLE SERCOMPREFEICAO (
	NRSERCOMPREFEICAO		NUMBER 														NOT NULL,
	NRPARAMTCO				NUMBER														NOT NULL,
	QTINICIAL				FLOAT														NOT NULL,
	QTFINAL					FLOAT														NOT NULL,
	QTSERVICO				FLOAT														NOT NULL,
	NRORG 					NUMBER			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NOT NULL,
	IDATIVO 				VARCHAR2(1) 	DEFAULT 'S' 								NOT NULL
		CONSTRAINT CKC_IDATIVO_SERCOMPREFEICAO CHECK (IDATIVO IN ('S', 'N')),
	DTINCLUSAO 				DATE 														NULL,
	DTULTATU 				DATE 														NULL,
	NRORGINCLUSAO 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NULL,
	CDOPERINCLUSAO 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	NRORGULTATU 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')	NULL,
	CDOPERULTATU 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	CONSTRAINT PK_SERCOMPREFEICAO PRIMARY KEY (NRSERCOMPREFEICAO)
)
/
ALTER TABLE SERCOMPREFEICAO ADD
	CONSTRAINT FKPLA01012PARAMTCO FOREIGN KEY (NRPARAMTCO)
		REFERENCES PARAMTCO (NRPARAMTCO)
/
CREATE INDEX FKPLA01012PARAMTCO ON SERCOMPREFEICAO (NRPARAMTCO)
/
CREATE TABLE RECEREGIAO (
	NRRECEREGIAO			NUMBER 														NOT NULL,
	CDFILAUXPRAT			VARCHAR2(4)													NOT NULL,
	CDPRATO					VARCHAR2(10)												NOT NULL,
	CDREGIAO				VARCHAR2(3)													NOT NULL,
	NRPADRAOQUALIDADE		NUMBER														NOT NULL,
	CDPRODUTO				VARCHAR2(10)												NOT NULL,
	QTPRODRECREGIAO			FLOAT														NOT NULL,
	VRPEFATCOCREGIAO 		FLOAT 														NOT NULL,
	VRPEFATCORREGIAO		FLOAT 														NOT NULL,
	SGUNIDADE				VARCHAR2(10)												NOT NULL,
	QTBRUTAREGIAOUNR		FLOAT 														NOT NULL,
	IDPRODBASEREGIAO		VARCHAR2(1) 	DEFAULT 'N'									NOT NULL
		CONSTRAINT CKC_IDPRODBASEREGIAO_RECREGIAO CHECK (IDPRODBASEREGIAO IN ('S', 'N')),
	IDQTDEFIXREGIAO			VARCHAR2(1) 	DEFAULT 'N'									NOT NULL
		CONSTRAINT CKC_IDQTDEFIXREGIAO_RECREGIAO CHECK (IDQTDEFIXREGIAO IN ('S', 'N')),
	NRORG 					NUMBER			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NOT NULL,
	IDATIVO 				VARCHAR2(1) 	DEFAULT 'S' 								NOT NULL
		CONSTRAINT CKC_IDATIVO_RECEREGIAO CHECK (IDATIVO IN ('S', 'N')),
	DTINCLUSAO 				DATE 														NULL,
	DTULTATU 				DATE 														NULL,
	NRORGINCLUSAO 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NULL,
	CDOPERINCLUSAO 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	NRORGULTATU 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')	NULL,
	CDOPERULTATU 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	CONSTRAINT PK_RECEREGIAO PRIMARY KEY (NRRECEREGIAO),
	CONSTRAINT UN_RECEREGIAO UNIQUE (CDFILAUXPRAT, CDPRATO, CDREGIAO, NRPADRAOQUALIDADE, CDPRODUTO)
)
/
ALTER TABLE RECEREGIAO ADD
	CONSTRAINT FKPLA01013PRATO FOREIGN KEY (CDFILAUXPRAT, CDPRATO)
		REFERENCES PRATO (CDFILAUXPRAT, CDPRATO)
/
CREATE INDEX FKPLA01013PRATO ON RECEREGIAO (CDFILAUXPRAT, CDPRATO)
/
ALTER TABLE RECEREGIAO ADD
	CONSTRAINT FKPLA01014REGIAO FOREIGN KEY (CDREGIAO)
		REFERENCES REGIAO (CDREGIAO)
/
CREATE INDEX FKPLA01014REGIAO ON RECEREGIAO (CDREGIAO)
/
ALTER TABLE RECEREGIAO ADD
	CONSTRAINT FKPLA01015PADRAOQUALIDADE FOREIGN KEY (NRPADRAOQUALIDADE)
		REFERENCES PADRAOQUALIDADE (NRPADRAOQUALIDADE)
/
CREATE INDEX FKPLA01015PADRAOQUALIDADE ON RECEREGIAO (NRPADRAOQUALIDADE)
/
ALTER TABLE RECEREGIAO ADD
	CONSTRAINT FKPLA01016PRODUTO FOREIGN KEY (CDPRODUTO)
		REFERENCES PRODUTO (CDPRODUTO)
/
CREATE INDEX FKPLA01016PRODUTO ON RECEREGIAO (CDPRODUTO)